For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • POSTCreate webhook trigger
      • GETList triggers
      • GETGet webhook trigger
      • POSTUpdate webhook trigger
      • DELDelete webhook trigger
      • POSTRegenerate endpoint
      • POSTRotate secret
      • GETList trigger events
      • GETGet trigger event
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceWebhook Triggers

Rotate secret

POST
/org/:org_id/project/:project_id/trigger/webhook/:trigger_id/rotate-secret
POST
/api/v1/org/:org_id/project/:project_id/trigger/webhook/:trigger_id/rotate-secret
$curl -X POST https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/trigger/webhook/trigger_id/rotate-secret \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "target_type": "task",
4 "target_id": "string",
5 "name": "string",
6 "status": "draft",
7 "endpoint_id": "string",
8 "endpoint_url": "string",
9 "auth_method": "string",
10 "include_raw_payload": true,
11 "idempotency_ttl_seconds": 1,
12 "created": "string",
13 "modified": "string",
14 "created_by_user_id": "string",
15 "task_agent_revision_id": "string",
16 "trigger_type": "webhook",
17 "description": "string",
18 "auth_config": {},
19 "payload_mapping": {},
20 "idempotency_key_path": "string",
21 "auth_secret": "string"
22}
Rotate the webhook authentication secret.
Was this page helpful?
Previous

List trigger events

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
trigger_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
Unique identifier for the trigger.
target_typeenum
The target resource type for this trigger.
Allowed values:
target_idstringformat: "uuid"
The target resource ID for this trigger.
namestring
A descriptive name for the trigger.
statusenum

Lifecycle status for the trigger (draft, disabled, enabled).

Allowed values:
endpoint_idstring
Unique endpoint identifier used in the webhook URL.
endpoint_urlstring
Full URL for receiving webhook requests.
auth_methodstring
Authentication method for incoming webhooks.
include_raw_payloadboolean

Whether to include the entire payload as _raw_payload.

idempotency_ttl_secondsinteger
How long to remember processed idempotency keys.
createdstring
When the trigger was created.
modifiedstring
When the trigger was last updated.
created_by_user_idstringformat: "uuid"
User who created the trigger.
task_agent_revision_idstring or nullformat: "uuid"
Optional pinned TaskAgent revision for TaskAgent triggers.
trigger_typestringDefaults to webhook

The type of trigger (webhook for this endpoint).

descriptionstring or null
Additional details about the trigger's purpose.
auth_configmap from strings to any or null

Authentication configuration (e.g., signature header name).

payload_mappingmap from strings to any or null
JSONPath mappings from webhook payload to Task inputs.
idempotency_key_pathstring or null
JSONPath to extract idempotency key from payload.
auth_secretstring or null

The authentication secret (only shown once on creation or rotation).

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error